html {
  font-family: sans-serif;
  overflow: hidden;
}

body {
  block-size: 100vh;
  inline-size: 100vw;
  margin: 0;
  overflow: auto;

  /* --background-color: #eee; */
  --background-color: rgb(172, 172, 172);
  --health-primary: lightgreen;
  /* --player-btn: hsl(337, 100%, 50%); */
  --player-btn: hsl(181, 100%, 50%);
  --playerBtn-hover: hsl(190, 100%, 65%);
  --btn-hover: hsl(190, 100%, 30%);
  --playerBtn-color: black;
}

/* Hide scrollbar for Chrome, Safari and Opera */
body::-webkit-scrollbar {
  display: none;
}

@font-face {
  font-family: Creepster;
  font-weight: 400;
  font-style: normal;
  src: url(../fonts/Creepster-Regular.ttf);
}

/* Hide scrollbar for IE, Edge and Firefox */
body {
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
  transition: filter .5s .2s, background-color .5s .2s;
  /* filter: grayscale(0); */
  filter: brightness(1);
}

body.hide {
  filter: brightness(.3);
  /* opacity: 0; */
  pointer-events: none;
  background-color: black;
}

#background {
  filter: grayscale(0.6);
  opacity: 0.8;
  background-color: black;
  position: absolute;
  z-index: -1;
  block-size: 100%;
  inline-size: 100%;
  background-image: url('../img/dungeion_scene.jpg');
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover cover;
  background-position: center;
  background-repeat: no-repeat;
}

#title {
  text-align: center;
  color: white;
  margin-block-start: 1em;
  font-family: Creepster;
  font-size: 3em;
  letter-spacing: 0.1em;
  font-weight: 200;
  font-style: normal;
  /* text-shadow: 0 0 .3em hsl(0deg 85.05% 84.96%); */
  text-shadow: 0 0 0.3em white;
  color: rgb(0, 0, 0);
}

h2 {
  font-size: 1.25em;
  margin: 1em 0.5em;
}

progress {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  inline-size: 80%;
  block-size: 2em;
  color: black;
  border: 0.0625em solid #777;
}

progress[value]::-webkit-progress-bar,
progress[value] {
  background-color: var(--background-color);
  box-shadow: 0 0.125em 0.3125em rgba(0, 0, 0, 0.25) inset;
}

progress[value]::-webkit-progress-value {
  background-color: var(--health-primary);
  transition: all 0.2s ease-out;
}

progress[value]::-moz-progress-bar {
  background-color: var(--health-primary);
  transition: all 0.2s ease-out;
}

.ctrl-btn-container {
  position: relative;
  font: inherit;
  font-weight: 700;
  /* background: var(--player-btn); */
  color: var(--playerBtn-color);
  cursor: pointer;
  margin: 0.5em;
  border-radius: 0.375em;
  border: 0.15em solid var(--player-btn);
  background: var(--player-btn);
  transition: all 0.2s;
}
/* 
.ctrl-btn-container1 {
  padding: 0;
  height: 2.3125em;
} */


button {
  position: relative;
  padding: 1em 2em;
  background: transparent;
  width: 100%;
  height: 95%;
  border-radius: 0.375em;
  border: none;
  outline: none;
  /* z-index: 1; */
  cursor: pointer;
}

/* button:focus {
  outline: none;
} */

.ctrl-btn-container:hover,
.ctrl-btn-container:active {
  background: var(--playerBtn-hover);
  border-color: var(--btn-hover);
}

.toolTip {
  position: relative;
  display: inline-block;
  /* border-bottom: 1px dotted black; */
}

.toolTip .toolTipText {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  /* border: none; */
  /* outline: none; */
  cursor: pointer;

  width: 20em;
  width: 100%;
  background-color: var(--player-btn);
  color: #fff;
  text-align: center;
  border-radius: .5em;
  padding: 5px 0;
  position: absolute;
  z-index: 0;
  bottom: 125%;
  top: 0;
  left: 50%;
  /* margin-left: -60px; */
  opacity: 0;
  text-wrap: balance;
  transform: translate(-50%);
  transition: all 0.3s 0s ease-in;
  pointer-events: none;
}

.toolTip.hovering:hover .toolTipText {
  transition: all 0.3s 2s ease-in;
  background-color: #555;
  opacity: 1;
  top: -140%;
  width: 20em;
}

#health-levels,
#controls {
  margin: 2em auto;
  inline-size: 30em;
  text-align: center;
  border-radius: 0.625em;
  padding: 1em;
  box-shadow: 0 0.125em 0.5em rgba(0, 0, 0, 0.25);
  background: var(--background-color);
}

#health-levels {
  position: relative;
}

#controls {
  position: relative;
  display: flex;
  flex-direction: column;
  padding-bottom: 3em;
}

#bonus-life {
  font-weight: bold;
  color: white;
  background: black;
  border: 0.0625em solid black;
  padding: 0.15em 0.5em;
  border-radius: 0.625em;
  text-align: center;
}

#bonus-life-display {
  position: absolute;
  margin: 0;
  inset-inline-end: 2em;
  inset-block-end: 1em;
}

#message {
  text-align: center;
  color: black;
  min-block-size: 1.2em;
}

#checkbox {
  position: absolute;
  right: 2em;
  bottom: .8em;
  width: fit-content;
}

/*
    At 580px, 1vw = 5.8px
    16/5.8 = 2.7586206896551726vw
*/
@media screen and (max-width: 580px) {
  body {
    font-size: 2.7586206896551726vw;
  }
}
